package org.pi3.servlet.samples;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Enumeration;

public class HelloServlet extends HttpServlet implements SingleThreadModel {
  public void doGet( HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
      response.setContentType("text/html; charset=utf-8");

	String s;
      StringBuffer sb = new StringBuffer("<H1>'Hello World' Test-Servlet</H1><hr>");
	sb.append("<p>Using <b>ServletOutputStream</b> to write to client.\r\n");

	sb.append("<H2>Initialization Parameters</H2><ol>\r\n");
	for (Enumeration e = getServletConfig().getInitParameterNames(); e.hasMoreElements() ;) {
	    s = (String)e.nextElement();
	    sb.append("<li>" + s + " = " + getServletConfig().getInitParameter(s));
	}
	sb.append("</ol>");

	s = sb.toString();
	/* Required for the DispatchServlet sample */
      if (request.getServletPath().equals("/servlet/org.pi3.servlet.samples.HelloServlet")) {
		response.setContentLength(s.length());
	};
      ServletOutputStream out = response.getOutputStream();
      out.print(s);
      out.flush();
    }
  }