
/*
 * Step9:
 * Program exit by catching signal and killing the main thread.
 */

#include <iostream.h>
#include <stdlib.h>
#include <signal.h>

#include "Pi2API.h"
#include "TestAPI.h"

int iDie = 0;

void Handler( int iSignal )
{
	cout << "Signal #" << iSignal << endl;
//	PIThread_terminate( PIThread_getMain(), 37 );
	iDie = 1;
}

int iRet;
void Step9( PIDB * )
{
	signal( SIGTERM, Handler );
	signal( SIGINT, Handler );
	iRet = 0;
	for(; !iDie;)	{}
	iRet = -1;
}

int main()
{
	if ( PIProgram_enter( "dummy", PIPROGRAM_VERSION_1_0, Step9 ) )
		{
		cout << "Program_enter() failed." << endl;
		FAILED(99);
		exit( 1 );
		};
	OK;

	return iRet;
}

